relaxngcc.codedom

## Class CDLanguageSpecificString

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDLanguageSpecificString

All Implemented Interfaces:
  CDStatement

    public class CDLanguageSpecificString
    extends CDExpression
    implements CDStatement

Unstructured text whose composition we don't care. This can be used either as an expression or a statement.

### Constructor Summary

Constructors
Constructor and Description
`CDLanguageSpecificString()`
`CDLanguageSpecificString(java.lang.String data)`

### Method Summary

Methods
`void` `express(CDFormatter f)` Prints itself as an expression.
`java.lang.String` `getString(int language)`
`void` `setString(int language, java.lang.String data)`
`void` `setString(java.lang.String data)`
`void` `state(CDFormatter f)` Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDLanguageSpecificString

    public CDLanguageSpecificString()

#### CDLanguageSpecificString

    public CDLanguageSpecificString(java.lang.String data)

### Method Detail

#### setString

    public void setString(int language,
                 java.lang.String data)

#### setString

    public void setString(java.lang.String data)

#### getString

    public java.lang.String getString(int language)

#### state

    public void state(CDFormatter f)
               throws java.io.IOException

Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `java.io.IOException`

#### express

    public void express(CDFormatter f)
                 throws java.io.IOException

Description copied from class: `CDExpression`
Prints itself as an expression.

Throws:
  `java.io.IOException`